Index: uspace/srv/volsrv/empty.c
===================================================================
--- uspace/srv/volsrv/empty.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/volsrv/empty.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,8 +44,8 @@
 #include "empty.h"
 
-static errno_t empty_get_bsize(void *, size_t *);
-static errno_t empty_get_nblocks(void *, aoff64_t *);
-static errno_t empty_read(void *, aoff64_t, size_t, void *);
-static errno_t empty_write(void *, aoff64_t, size_t, const void *);
+static int empty_get_bsize(void *, size_t *);
+static int empty_get_nblocks(void *, aoff64_t *);
+static int empty_read(void *, aoff64_t, size_t, void *);
+static int empty_write(void *, aoff64_t, size_t, const void *);
 
 /** Provide disk access to liblabel */
@@ -57,7 +57,7 @@
 };
 
-errno_t volsrv_part_is_empty(service_id_t sid, bool *rempty)
+int volsrv_part_is_empty(service_id_t sid, bool *rempty)
 {
-	errno_t rc;
+	int rc;
 	label_bd_t lbd;
 
@@ -78,7 +78,7 @@
 }
 
-errno_t volsrv_part_empty(service_id_t sid)
+int volsrv_part_empty(service_id_t sid)
 {
-	errno_t rc;
+	int rc;
 	label_bd_t lbd;
 
@@ -100,5 +100,5 @@
 
 /** Get block size wrapper for liblabel */
-static errno_t empty_get_bsize(void *arg, size_t *bsize)
+static int empty_get_bsize(void *arg, size_t *bsize)
 {
 	service_id_t svc_id = *(service_id_t *)arg;
@@ -107,5 +107,5 @@
 
 /** Get number of blocks wrapper for liblabel */
-static errno_t empty_get_nblocks(void *arg, aoff64_t *nblocks)
+static int empty_get_nblocks(void *arg, aoff64_t *nblocks)
 {
 	service_id_t svc_id = *(service_id_t *)arg;
@@ -114,5 +114,5 @@
 
 /** Read blocks wrapper for liblabel */
-static errno_t empty_read(void *arg, aoff64_t ba, size_t cnt, void *buf)
+static int empty_read(void *arg, aoff64_t ba, size_t cnt, void *buf)
 {
 	service_id_t svc_id = *(service_id_t *)arg;
@@ -121,5 +121,5 @@
 
 /** Write blocks wrapper for liblabel */
-static errno_t empty_write(void *arg, aoff64_t ba, size_t cnt, const void *data)
+static int empty_write(void *arg, aoff64_t ba, size_t cnt, const void *data)
 {
 	service_id_t svc_id = *(service_id_t *)arg;
Index: uspace/srv/volsrv/empty.h
===================================================================
--- uspace/srv/volsrv/empty.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/volsrv/empty.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -40,6 +40,6 @@
 #include <loc.h>
 
-extern errno_t volsrv_part_is_empty(service_id_t, bool *);
-extern errno_t volsrv_part_empty(service_id_t);
+extern int volsrv_part_is_empty(service_id_t, bool *);
+extern int volsrv_part_empty(service_id_t);
 
 #endif
Index: uspace/srv/volsrv/mkfs.c
===================================================================
--- uspace/srv/volsrv/mkfs.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/volsrv/mkfs.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,5 +47,5 @@
 #include "mkfs.h"
 
-static errno_t cmd_runl(const char *path, ...)
+static int cmd_runl(const char *path, ...)
 {
 	va_list ap;
@@ -63,5 +63,5 @@
 	task_id_t id;
 	task_wait_t wait;
-	errno_t rc = task_spawn(&id, &wait, path, cnt, ap);
+	int rc = task_spawn(&id, &wait, path, cnt, ap);
 	va_end(ap);
 
@@ -98,13 +98,13 @@
 	}
 
-	return retval == 0 ? EOK : EPARTY;
+	return retval;
 }
 
 
-errno_t volsrv_part_mkfs(service_id_t sid, vol_fstype_t fstype, const char *label)
+int volsrv_part_mkfs(service_id_t sid, vol_fstype_t fstype, const char *label)
 {
 	const char *cmd;
 	char *svc_name;
-	errno_t rc;
+	int rc;
 
 	cmd = NULL;
Index: uspace/srv/volsrv/mkfs.h
===================================================================
--- uspace/srv/volsrv/mkfs.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/volsrv/mkfs.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -41,5 +41,5 @@
 #include <types/vol.h>
 
-extern errno_t volsrv_part_mkfs(service_id_t, vol_fstype_t, const char *);
+extern int volsrv_part_mkfs(service_id_t, vol_fstype_t, const char *);
 extern void volsrv_part_get_lsupp(vol_fstype_t, vol_label_supp_t *);
 
Index: uspace/srv/volsrv/part.c
===================================================================
--- uspace/srv/volsrv/part.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/volsrv/part.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -37,5 +37,4 @@
 #include <stdbool.h>
 #include <errno.h>
-#include <str_error.h>
 #include <fibril_synch.h>
 #include <io/log.h>
@@ -50,5 +49,5 @@
 #include "types/part.h"
 
-static errno_t vol_part_add_locked(service_id_t);
+static int vol_part_add_locked(service_id_t);
 static LIST_INITIALIZE(vol_parts); /* of vol_part_t */
 static FIBRIL_MUTEX_INITIALIZE(vol_parts_lock);
@@ -69,5 +68,5 @@
 
 /** Check for new partitions */
-static errno_t vol_part_check_new(void)
+static int vol_part_check_new(void)
 {
 	bool already_known;
@@ -75,5 +74,5 @@
 	service_id_t *svcs;
 	size_t count, i;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(&vol_parts_lock);
@@ -144,5 +143,5 @@
 }
 
-static errno_t vol_part_probe(vol_part_t *part)
+static int vol_part_probe(vol_part_t *part)
 {
 	bool empty;
@@ -150,5 +149,5 @@
 	struct fsname_type *fst;
 	char *label;
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_NOTE, "Probe partition %s", part->svc_name);
@@ -204,8 +203,8 @@
 }
 
-static errno_t vol_part_add_locked(service_id_t sid)
+static int vol_part_add_locked(service_id_t sid)
 {
 	vol_part_t *part;
-	errno_t rc;
+	int rc;
 
 	assert(fibril_mutex_is_locked(&vol_parts_lock));
@@ -244,7 +243,7 @@
 }
 
-errno_t vol_part_add(service_id_t sid)
-{
-	errno_t rc;
+int vol_part_add(service_id_t sid)
+{
+	int rc;
 
 	fibril_mutex_lock(&vol_parts_lock);
@@ -260,17 +259,17 @@
 }
 
-errno_t vol_part_init(void)
-{
-	return EOK;
-}
-
-errno_t vol_part_discovery_start(void)
-{
-	errno_t rc;
+int vol_part_init(void)
+{
+	return EOK;
+}
+
+int vol_part_discovery_start(void)
+{
+	int rc;
 
 	rc = loc_register_cat_change_cb(vol_part_cat_change_cb);
 	if (rc != EOK) {
 		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering callback "
-		    "for partition discovery: %s.", str_error(rc));
+		    "for partition discovery (%d).", rc);
 		return rc;
 	}
@@ -280,5 +279,5 @@
 
 /** Get list of partitions as array of service IDs. */
-errno_t vol_part_get_ids(service_id_t *id_buf, size_t buf_size, size_t *act_size)
+int vol_part_get_ids(service_id_t *id_buf, size_t buf_size, size_t *act_size)
 {
 	size_t act_cnt;
@@ -308,5 +307,5 @@
 }
 
-errno_t vol_part_find_by_id(service_id_t sid, vol_part_t **rpart)
+int vol_part_find_by_id(service_id_t sid, vol_part_t **rpart)
 {
 	list_foreach(vol_parts, lparts, vol_part_t, part) {
@@ -321,7 +320,7 @@
 }
 
-errno_t vol_part_empty_part(vol_part_t *part)
-{
-	errno_t rc;
+int vol_part_empty_part(vol_part_t *part)
+{
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_part_empty_part()");
@@ -329,6 +328,6 @@
 	rc = volsrv_part_empty(part->svc_id);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_part_empty_part() - failed %s",
-		    str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_part_empty_part() - failed %d",
+		    rc);
 		return rc;
 	}
@@ -338,8 +337,8 @@
 }
 
-errno_t vol_part_mkfs_part(vol_part_t *part, vol_fstype_t fstype,
+int vol_part_mkfs_part(vol_part_t *part, vol_fstype_t fstype,
     const char *label)
 {
-	errno_t rc;
+	int rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_part_mkfs_part()");
@@ -349,6 +348,6 @@
 	rc = volsrv_part_mkfs(part->svc_id, fstype, label);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_part_mkfs_part() - failed %s",
-		    str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_part_mkfs_part() - failed %d",
+		    rc);
 		fibril_mutex_unlock(&vol_parts_lock);
 		return rc;
@@ -370,5 +369,5 @@
 }
 
-errno_t vol_part_get_info(vol_part_t *part, vol_part_info_t *pinfo)
+int vol_part_get_info(vol_part_t *part, vol_part_info_t *pinfo)
 {
 	pinfo->pcnt = part->pcnt;
Index: uspace/srv/volsrv/part.h
===================================================================
--- uspace/srv/volsrv/part.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/volsrv/part.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -43,12 +43,12 @@
 #include "types/part.h"
 
-extern errno_t vol_part_init(void);
-extern errno_t vol_part_discovery_start(void);
-extern errno_t vol_part_add(service_id_t);
-extern errno_t vol_part_get_ids(service_id_t *, size_t, size_t *);
-extern errno_t vol_part_find_by_id(service_id_t, vol_part_t **);
-extern errno_t vol_part_empty_part(vol_part_t *);
-extern errno_t vol_part_mkfs_part(vol_part_t *, vol_fstype_t, const char *);
-extern errno_t vol_part_get_info(vol_part_t *, vol_part_info_t *);
+extern int vol_part_init(void);
+extern int vol_part_discovery_start(void);
+extern int vol_part_add(service_id_t);
+extern int vol_part_get_ids(service_id_t *, size_t, size_t *);
+extern int vol_part_find_by_id(service_id_t, vol_part_t **);
+extern int vol_part_empty_part(vol_part_t *);
+extern int vol_part_mkfs_part(vol_part_t *, vol_fstype_t, const char *);
+extern int vol_part_get_info(vol_part_t *, vol_part_info_t *);
 
 #endif
Index: uspace/srv/volsrv/volsrv.c
===================================================================
--- uspace/srv/volsrv/volsrv.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/srv/volsrv/volsrv.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,4 @@
 #include <async.h>
 #include <errno.h>
-#include <str_error.h>
 #include <io/log.h>
 #include <ipc/services.h>
@@ -54,7 +53,7 @@
 static void vol_client_conn(ipc_callid_t, ipc_call_t *, void *);
 
-static errno_t vol_init(void)
-{
-	errno_t rc;
+static int vol_init(void)
+{
+	int rc;
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "vol_init()");
 
@@ -71,5 +70,5 @@
 	rc = loc_server_register(NAME);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering server: %s.", str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering server (%d).", rc);
 		return EEXIST;
 	}
@@ -78,5 +77,5 @@
 	rc = loc_service_register(SERVICE_NAME_VOLSRV, &sid);
 	if (rc != EOK) {
-		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering service: %s.", str_error(rc));
+		log_msg(LOG_DEFAULT, LVL_ERROR, "Failed registering service (%d).", rc);
 		return EEXIST;
 	}
@@ -90,5 +89,5 @@
 	size_t size;
 	size_t act_size;
-	errno_t rc;
+	int rc;
 
 	if (!async_data_read_receive(&callid, &size)) {
@@ -112,5 +111,5 @@
 	}
 
-	errno_t retval = async_data_read_finalize(callid, id_buf, size);
+	sysarg_t retval = async_data_read_finalize(callid, id_buf, size);
 	free(id_buf);
 
@@ -121,5 +120,5 @@
 {
 	service_id_t sid;
-	errno_t rc;
+	int rc;
 
 	sid = IPC_GET_ARG1(*icall);
@@ -139,5 +138,5 @@
 	vol_part_t *part;
 	vol_part_info_t pinfo;
-	errno_t rc;
+	int rc;
 
 	sid = IPC_GET_ARG1(*icall);
@@ -185,5 +184,5 @@
 	service_id_t sid;
 	vol_part_t *part;
-	errno_t rc;
+	int rc;
 
 	sid = IPC_GET_ARG1(*icall);
@@ -209,5 +208,5 @@
 	vol_fstype_t fstype;
 	vol_label_supp_t vlsupp;
-	errno_t rc;
+	int rc;
 
 	fstype = IPC_GET_ARG1(*icall);
@@ -249,5 +248,5 @@
 	vol_fstype_t fstype;
 	char *label;
-	errno_t rc;
+	int rc;
 
 	sid = IPC_GET_ARG1(*icall);
@@ -327,5 +326,5 @@
 int main(int argc, char *argv[])
 {
-	errno_t rc;
+	int rc;
 
 	printf("%s: Volume service\n", NAME);
